Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590642 - Expression parsing improvements: 3x FAIL gdb.cp/cpexprs.exp
Summary: Expression parsing improvements: 3x FAIL gdb.cp/cpexprs.exp
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Kratochvil
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 11:54 UTC by Petr Muller
Modified: 2016-09-20 02:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 19:27:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Muller 2010-05-10 11:54:08 UTC
Description of problem:
gdb.cp/cpexprs.exp testcase was suggested to be run as part of
'Expression Parsing Improvements' feature testing for RHEL6. This testcase has three failures across all architectures:

Running ./gdb.cp/cpexprs.exp ...
FAIL: gdb.cp/cpexprs.exp: list base::overload(void)
FAIL: gdb.cp/cpexprs.exp: setting breakpoint at base::overload(void)
FAIL: gdb.cp/cpexprs.exp: continue to base::overload(void)

Version-Release number of selected component (if applicable):
gdb-7.1-18

How reproducible:
always

Steps to Reproduce:
1. runtest --tool=gdb gdb.cp/cpexprs.exp
2.
3.
  
Actual results:
# of expected passes            376
# of unexpected failures        3

Expected results:
# of expected passes            379

Additional info:
With 376:3 failure ratio of the testcase, it does not seem too serious to me. Feel free to close or postpone to 6.1 if not considered important.

Comment 1 RHEL Product and Program Management 2010-05-10 12:10:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jan Kratochvil 2010-05-11 19:17:19 UTC
Hi Keith, are you aware of it or should I check it more?

Reproducible on F-12.x86_64 with FSF GDB HEAD.

list base::overload(void)
the class `base' does not have any method instance named overload(void)
(gdb) FAIL: gdb.cp/cpexprs.exp: list base::overload(void)

(gdb) break base::overload(void)
the class `base' does not have any method instance named overload(void)
(gdb) FAIL: gdb.cp/cpexprs.exp: setting breakpoint at base::overload(void)
continue
Continuing.
Program exited normally.
(gdb) FAIL: gdb.cp/cpexprs.exp: continue to base::overload(void) (the program exited)

Comment 4 Jan Kratochvil 2010-05-11 19:27:46 UTC
These are known FAILs as described by Keith Seitz in Bug 590643 Comment 3.
Sure thanks for their check.


Note You need to log in before you can comment on or make changes to this bug.